Adobe Framemaker required to build output

This forum is for all Flare issues related to PDF, eBook, Microsoft Word, Adobe FrameMaker, XPS, and XHTML book targets.

Adobe Framemaker required to build output

Postby Vibeke B on Mon Nov 05, 2018 12:46 am

Hi!
I am trying to make a new output to Framemaker (I'll skip the long and boring explanation of why) and made a new target. Then I got the message that Framemaker is required. Then I installed a trial version of Framemaker to see if it works, but I get the same message. I have restarted my computer, but still the same. I will not be using Framemaker myself, but I am willing to purchase it if this works. But I wanted to test if it worked before purchasing. Any suggestions for a workaround?

Looking forward to hearing your great ideas and suggestions!
Vibeke B
Propeller Head
 
Posts: 24
Joined: Thu Mar 15, 2018 7:14 am

Re: Adobe Framemaker required to build output

Postby Vibeke B on Mon Nov 05, 2018 1:31 am

Perhaps I should add that I have tried the suggestion from Flare's help to run Flare as administrator, still no effect.
Update: I have now a licensed version, and I can still not generate a Framemaker file. Does this work for anyone else? :cry:
Vibeke B
Propeller Head
 
Posts: 24
Joined: Thu Mar 15, 2018 7:14 am

Re: Adobe Framemaker required to build output

Postby Vibeke B on Mon Nov 12, 2018 5:09 am

I have found the solution. I asked for support from MadCap and they answered that Flare 2018 does not support FrameMaker 2019. In order to build a FrameMaker target, I need to use an older version. This would have been nice to know before investing in the wrong license and spending time installing the wrong version. Also, they did not tell me how old Framemaker had to be. :!: But I installed a trial version of Framemaker 2015 and this works, as long as I use Flare as administrator.

So now it works. I just wanted to let others know what the solution is in case they run into the same problem. :)
Vibeke B
Propeller Head
 
Posts: 24
Joined: Thu Mar 15, 2018 7:14 am

Re: Adobe Framemaker required to build output

Postby autocart on Thu May 23, 2019 1:23 pm

Also nice to know:
At least according to the Flare 2019 online help, the FrameMaker target is not available anymore in Flare 2019. In the Flare 2018 online help it still was mentioned, but not in 2019.
Couldn't try it anymore in the 2019 test version because it ran out of time.
autocart
Propeller Head
 
Posts: 22
Joined: Mon Oct 16, 2017 9:14 am

Re: Adobe Framemaker required to build output

Postby doc_guy on Fri May 24, 2019 11:16 am

I didn't realize this was true, but I checked in 2019, and you're right. Framemaker is not listed as an output type when you create a new target in Flare 2019:

Image
User avatar
doc_guy
Propellus Maximus
 
Posts: 1938
Joined: Tue Nov 28, 2006 11:18 am
Location: Crossroads of the West

Re: Adobe Framemaker required to build output

Postby Isleofgough on Wed May 29, 2019 6:13 pm

This is a shame! There are times that I need to work in Structured Framemaker, and the inability to import or export Framemaker documents is frustrating.
Isleofgough
Propeller Head
 
Posts: 59
Joined: Sat Dec 08, 2012 9:05 am
Location: Seattle WA

Re: Adobe Framemaker required to build output

Postby doc_guy on Wed May 29, 2019 7:47 pm

I mean, they didn't even move it to the deprecated list. They just all-out removed it. Wonder why.
User avatar
doc_guy
Propellus Maximus
 
Posts: 1938
Joined: Tue Nov 28, 2006 11:18 am
Location: Crossroads of the West

Re: Adobe Framemaker required to build output

Postby Isleofgough on Thu May 30, 2019 2:36 am

After all the Madcap advertising over the years about why Flare is better than Framemaker, there probably aren't enough Framemaker users that use Flare to warrant the cost of programmer's time. There are enough bugs to fix, that it isn't likely a priority.
Isleofgough
Propeller Head
 
Posts: 59
Joined: Sat Dec 08, 2012 9:05 am
Location: Seattle WA

Re: Adobe Framemaker required to build output

Postby wclass on Mon Jun 03, 2019 9:50 pm

Actually it was in a Deprecated list - for 2018r2
https://help.madcapsoftware.com/flare2018r2/Content/Flare/Introduction/Whats-New-Flare.htm

However, that's not much good to people - if you don't know that something is missing, you won't know which release to go back and find the item in.

The list really needs to be separate from What's new and have a list of all deprecated items and the version they were removed.
Margaret Hassall - Melbourne
wclass
Propellus Maximus
 
Posts: 1214
Joined: Mon Feb 27, 2006 5:56 am
Location: Melbourne, Australia

Re: Adobe Framemaker required to build output

Postby Isleofgough on Tue Jun 04, 2019 6:05 pm

Isleofgough
Propeller Head
 
Posts: 59
Joined: Sat Dec 08, 2012 9:05 am
Location: Seattle WA

Re: Adobe Framemaker required to build output

Postby doc_guy on Wed Jun 05, 2019 12:15 pm

Isleofgough - You're absolutely right. There are a bunch of targets listed on that page that you can no longer produce from Flare (.NET Help, for example). I have sent an email to a contact at MadCap pointing out those errors on the web page, and suggesting that they update the list.
User avatar
doc_guy
Propellus Maximus
 
Posts: 1938
Joined: Tue Nov 28, 2006 11:18 am
Location: Crossroads of the West


Return to Printed Documentation Targets

Who is online

Users browsing this forum: No registered users and 3 guests

cron